@echo off

rem java interpreter
set java_exe=java.exe
if NOT "%JAVA_HOME%"=="" set java_exe="%JAVA_HOME%\bin\java.exe"

rem build classpath of jFO
set jfo_cp=.
set jfo_cp=%jfo_cp%;lib/jfo.jar
set jfo_cp=%jfo_cp%;lib/jfo-extension.jar
set jfo_cp=%jfo_cp%;lib/commons-logging-1.1.1.jar
set jfo_cp=%jfo_cp%;lib/fex.jar
set jfo_cp=%jfo_cp%;lib/xalan.jar
set jfo_cp=%jfo_cp%;lib/xercesImpl.jar
set jfo_cp=%jfo_cp%;lib/xml-apis.jar
set jfo_cp=%jfo_cp%;lib/resolver.jar
set jfo_cp=%jfo_cp%;lib/serializer.jar
set jfo_cp=%jfo_cp%;lib/gui/kunststoff.jar


rem extend classpath for third party libraries
set thirdparty=lib/thirdparty
set thirdparty_cp=%thirdparty%/fop.jar
set thirdparty_cp=%thirdparty_cp%;%thirdparty%/xml-apis-ext-1.3.04.jar
set thirdparty_cp=%thirdparty_cp%;%thirdparty%/batik-all-1.7.jar
set thirdparty_cp=%thirdparty_cp%;%thirdparty%/commons-io-1.3.1.jar
set thirdparty_cp=%thirdparty_cp%;%thirdparty%/xmlgraphics-commons-1.5.jar
set thirdparty_cp=%thirdparty_cp%;%thirdparty%/avalon-framework-4.2.0.jar
set thirdparty_cp=%thirdparty_cp%;%thirdparty%/JimiProClasses.zip
set thirdparty_cp=%thirdparty_cp%;%thirdparty%/itext.jar


rem @echo jfo-classpath=%jfo_cp%
rem @echo fop-classpath=%thirdparty_cp%
rem @echo java-interpreter=%java_exe%

%java_exe% -cp %jfo_cp%;%thirdparty_cp% de.vc.jfo.tools.Commander %1 %2 %3 %4 %5 %6 %7 %8 %9
